## node-highlightjs-macaulay2 0.5.0

=== Makefile ===
TMPDIR := $(shell mktemp -d)
HLJSDIR = $(TMPDIR)/highlight.js

all: $(HLJSDIR)/extra/highlightjs-macaulay2
	cd $(HLJSDIR) && npm install && node ./tools/build.js -t cdn

check: $(HLJSDIR)/extra/highlightjs-macaulay2
	cd $(HLJSDIR) && npm install && node ./tools/build.js -t node && \
		ONLY_EXTRA=true npm run test-markup

$(HLJSDIR)/extra/highlightjs-macaulay2: $(HLJSDIR)
	ln -s $(CURDIR) $@

$(HLJSDIR):
	cd $(TMPDIR) && git clone --depth 1 \
		https://github.com/highlightjs/highlight.js

update:
	M2 --script generate-grammar/generate-grammar.m2

clean:
	rm -f $(HLJSDIR)/extra/highlightjs-macaulay2

.PHONY: all check clean update

=== debian/changelog ===
node-highlightjs-macaulay2 (0.5.0-1) unstable; urgency=medium

  * Initial release (Closes: #1125762).

 -- Doug Torrance <dtorrance@debian.org>  Sat, 17 Jan 2026 07:39:27 -0500

=== debian/control ===
Source: node-highlightjs-macaulay2
Section: javascript
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Doug Torrance <dtorrance@debian.org>
Testsuite: autopkgtest-pkg-nodejs
Build-Depends: debhelper-compat (= 13),
               dh-nodejs,
               dh-sequence-nodejs,
               macaulay2,
               node-highlight.js,
               node-terser,
               nodejs,
               rollup
Standards-Version: 4.7.3
Homepage: https://github.com/d-torrance/highlightjs-macaulay2
Vcs-Git: https://salsa.debian.org/js-team/node-highlightjs-macaulay2.git
Vcs-Browser: https://salsa.debian.org/js-team/node-highlightjs-macaulay2

Package: node-highlightjs-macaulay2
Architecture: all
Depends: node-highlight.js, ${misc:Depends}
Description: Macaulay2 language support for highlight.js
 This package provides a highlight.js language definition for
 Macaulay2, a software system for research in algebraic geometry and
 commutative algebra. It enables client-side syntax highlighting of
 Macaulay2 source code in environments that use highlight.js, such as
 web pages, documentation systems, and static site generators.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/watch ===
version=4
https://github.com/d-torrance/highlightjs-macaulay2/tags \
.*/v@ANY_VERSION@@ARCHIVE_EXT@
